#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv) {
    int length = atoi(argv[1]);
    srand(atoi(argv[2]));

    for (int i = 0; i < length; i++) {
        printf("%c", (char) (rand() % 26 + 'a'));
    }
    printf("\n");
    for (int i = 0; i < length; i++) {
        printf("%c", (char) (rand() % 26 + 'a'));
    }
    printf("\n");
    return 0;
}